FirstTopic

Features

LATable is a Win32 application compatible with Windows 95, 98, ME, Windows NT4, and Windows 2000.

Some of its features include:

  • Near-WYSIWYG editing style;
  • Real-time LATEX code preview;
  • Simple navigation through the table;
  • Limited clipboard support for import/export into other spreadsheet and text editors;
  • CSV file format support;
  • Generates 'tabular', 'array' and custom environments;
  • Support for custom column formats.


License Agreement

This notice may not be removed from or altered in any distribution of this software.

© 2001-2002 by Alex A. Denisov. All rights reserved.

This software is distributed as freeware. Anyone is free to use it for any purpose, provided all the conditions of this agreement are met.

The software may be freely distributed although all original files must be retained in their original form and no extra files should be added to the package. You may not ask any money for the distribution.

The origin of this software must not be misrepresented; you must not claim your authorship. All redistributions must retain the original copyright notice and web site addresses.

This software is provided 'as-is', without warranty of any kind, either expressed or implied. In no event shall the author be held liable for any damages arising from the use of this software.

Alex A. Denisov

http://g32.org

alex@g32.org


Installation

LATable is distributed as a zipped package. It contains the files required to install the application. Just unzip the package, run setup.exe, and follow on-screen instructions.


Contact Information

LATable home page: http://g32.org

Newsgroup for support and announcements: news://news.g32.org/g32org.public.latable

E-mail: alex@g32.org

Please, use the newsgroup for general support questions


Usage Tips

LATable was designed to 'feel' familiar to table editing process in other applications. This section describes some differences and peculiarities of working with LATable.


Selecting Cells

LATable supports three different types of selection:

Cell range
Table cells are selected by clicking left mouse button within one of the cells. You can select several cells by dragging the mouse while left mouse button is down. Alternatively, use Shift+click to select multiple cells.
Columns
Columns are selected by clicking the mouse just above or below the table. Use click and drag (or Shift+click) to select more than one column simultaneously. While mouse cursor is over a column selection area it is displayed as vertical arrow. Some commands, e.g. column formatting are only accessible then one or several columns are selected.
Rows
When mouse cursor is close to left or right table edges, it is displayed as horizontal arrow indicating row selection mode. Rows are selected the same way as columns. Some specific commands are available only when one or more rows are selected.

In order to deselect cells, rows or columns click on empty space outside the table.


Adding Rows and Columns

The left-most button on the lower toolbar allows adding new rows and columns:

New rows and columns are inserted relative to the current selection or relative to the whole table if nothing is selected.


Removing Rows, Columns and Cell Contents

The Del key on your keyboard, as well as [image] button has different action depending on current type of selection. When cells are selected, it will clear all the text within the selection. When rows or columns are selected, it will remove selection from the table.


Viewing Generated Code

You can view the LATEX source code, generated by the program in real time. Clicking [image] or selecting View->Code from main menu will show/hide the Code Preview window which is automatically updated each time the table is changed.


Importing and Exporting Data

The generated code can be exported into a LATEX source document through the clipboard. In order do that, click [image] , select Edit->Copy as Latex Code from main menu or press Ctrl+L. Clipboard becomes filled with the same data you see in Code Preview window.

Alternatively, you may use clipboard to copy and paste tab-delimited text, which is usually supported by other applications. Note, that additional formatting, such as rules and cell alignment is not retained during copy/paste operations.


Joining and Splitting Cells

Adjacent horizontal cells can be joined together. This corresponds to \multicolumn command in LATEX. Select several cells in a row and click [image] button to replace them with a single cell. The contents of a joined cell corresponds to the text in the leftmost cell in the selection or if it is empty, to the first non-empty cell.

To split a joined cell: select it and click the same button once again.

Note, that joined cells are not translated correctly into tab-delimited text they will be split apart during the CSV/text file conversion and standard clipboard operations.


Applying Column Formatting

After selecting one or more columns you may apply a standard or custom column alignment style. Using [image] buttons on the toolbar, you may assign l, c, r and custom formats, such as p{30pt}.

Note, that these buttons have different action when cells are selected instead of columns.

See also:

Controlling Cell Alignment


Controlling Cell Alignment

A simple cell may have no specific alignment; in this case it is aligned corresponding to the format of its column. You may also select specific l, c, or r alignment using [image] buttons or cancel it by pressing the same button one more time. If the cell is joined it is forced to have one of the above mentioned alignments.

Note, that specific cell alignment is provided with \multicell command, even for single cells. There are some issues with \multicell and custom column formatting, which are not resolved by LATable. You have to experiment with them on your own since there is no common solution.

See also:

Applying Column Formatting


Customizing Rows

It is possible to customize row appearance by inserting additional code before or after the row. For example, you can put font selection commands, additional horizontal rules, etc. After selecting one or more rows, choose Table->Row Prefix/Postfix... from the main menu. In the dialog window type in the text and commands to be inserted before or after the selected row(s).


Cell Borders

The appearance of borders (or rules) in LATable is controlled by the Rules toolbar button:

The usage of this button is similar to that in Microsoft Office™ applications.

Note, that in some cases, using vertical rules may interfere with custom column formats.


Controlling Environment Settings

When you create a new table or select Table->Environment in main menu, LATable displays a dialog box where additional options such as environment type can be set. For example, you may choose between tabular and array environments or assign your own environment type with additional options.


Main

List of Topics

Features

License Agreement

Installation

Contact Information

Usage Tips

  • Selecting Cells
  • Adding Rows and Columns
  • Removing Rows, Columns and Cell Contents
  • Viewing Generated Code
  • Importing and Exporting Data
  • Joining and Splitting Cells
  • Applying Column Formatting
  • Controlling Cell Alignment
  • Customizing Rows
  • Cell Borders
  • Controlling Environment Settings